com.amazonaws.services.workspaces.model

## Class WorkspaceDirectory

- java.lang.Object
- - com.amazonaws.services.workspaces.model.WorkspaceDirectory

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkspaceDirectory
    extends Object
    implements Serializable, Cloneable

Contains information about an AWS Directory Service directory for use with Amazon WorkSpaces.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceDirectory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkspaceDirectory` `clone()`
`boolean` `equals(Object obj)`
`String` `getAlias()` The directory alias.
`String` `getCustomerUserName()` The user name for the service account.
`String` `getDirectoryId()` The directory identifier.
`String` `getDirectoryName()` The name of the directory.
`String` `getDirectoryType()` The directory type.
`List<String>` `getDnsIpAddresses()` An array of strings that contains the IP addresses of the DNS servers for the directory.
`String` `getIamRoleId()` The identifier of the IAM role.
`String` `getRegistrationCode()` The registration code for the directory.
`String` `getState()` The state of the directory's registration with Amazon WorkSpaces
`List<String>` `getSubnetIds()` An array of strings that contains the identifiers of the subnets used with the directory.
`DefaultWorkspaceCreationProperties` `getWorkspaceCreationProperties()` A structure that specifies the default creation properties for all WorkSpaces in the directory.
`String` `getWorkspaceSecurityGroupId()` The identifier of the security group that is assigned to new WorkSpaces.
`int` `hashCode()`
`void` `setAlias(String alias)` The directory alias.
`void` `setCustomerUserName(String customerUserName)` The user name for the service account.
`void` `setDirectoryId(String directoryId)` The directory identifier.
`void` `setDirectoryName(String directoryName)` The name of the directory.
`void` `setDirectoryType(String directoryType)` The directory type.
`void` `setDirectoryType(WorkspaceDirectoryType directoryType)` The directory type.
`void` `setDnsIpAddresses(Collection<String> dnsIpAddresses)` An array of strings that contains the IP addresses of the DNS servers for the directory.
`void` `setIamRoleId(String iamRoleId)` The identifier of the IAM role.
`void` `setRegistrationCode(String registrationCode)` The registration code for the directory.
`void` `setState(String state)` The state of the directory's registration with Amazon WorkSpaces
`void` `setState(WorkspaceDirectoryState state)` The state of the directory's registration with Amazon WorkSpaces
`void` `setSubnetIds(Collection<String> subnetIds)` An array of strings that contains the identifiers of the subnets used with the directory.
`void` `setWorkspaceCreationProperties(DefaultWorkspaceCreationProperties workspaceCreationProperties)` A structure that specifies the default creation properties for all WorkSpaces in the directory.
`void` `setWorkspaceSecurityGroupId(String workspaceSecurityGroupId)` The identifier of the security group that is assigned to new WorkSpaces.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkspaceDirectory` `withAlias(String alias)` The directory alias.
`WorkspaceDirectory` `withCustomerUserName(String customerUserName)` The user name for the service account.
`WorkspaceDirectory` `withDirectoryId(String directoryId)` The directory identifier.
`WorkspaceDirectory` `withDirectoryName(String directoryName)` The name of the directory.
`WorkspaceDirectory` `withDirectoryType(String directoryType)` The directory type.
`WorkspaceDirectory` `withDirectoryType(WorkspaceDirectoryType directoryType)` The directory type.
`WorkspaceDirectory` `withDnsIpAddresses(Collection<String> dnsIpAddresses)` An array of strings that contains the IP addresses of the DNS servers for the directory.
`WorkspaceDirectory` `withDnsIpAddresses(String... dnsIpAddresses)` An array of strings that contains the IP addresses of the DNS servers for the directory.
`WorkspaceDirectory` `withIamRoleId(String iamRoleId)` The identifier of the IAM role.
`WorkspaceDirectory` `withRegistrationCode(String registrationCode)` The registration code for the directory.
`WorkspaceDirectory` `withState(String state)` The state of the directory's registration with Amazon WorkSpaces
`WorkspaceDirectory` `withState(WorkspaceDirectoryState state)` The state of the directory's registration with Amazon WorkSpaces
`WorkspaceDirectory` `withSubnetIds(Collection<String> subnetIds)` An array of strings that contains the identifiers of the subnets used with the directory.
`WorkspaceDirectory` `withSubnetIds(String... subnetIds)` An array of strings that contains the identifiers of the subnets used with the directory.
`WorkspaceDirectory` `withWorkspaceCreationProperties(DefaultWorkspaceCreationProperties workspaceCreationProperties)` A structure that specifies the default creation properties for all WorkSpaces in the directory.
`WorkspaceDirectory` `withWorkspaceSecurityGroupId(String workspaceSecurityGroupId)` The identifier of the security group that is assigned to new WorkSpaces.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkspaceDirectory

    public WorkspaceDirectory()

### Method Detail

#### setDirectoryId

    public void setDirectoryId(String directoryId)

The directory identifier.

Parameters:
  `directoryId` - The directory identifier.

#### getDirectoryId

    public String getDirectoryId()

The directory identifier.

Returns:
  The directory identifier.

#### withDirectoryId

    public WorkspaceDirectory withDirectoryId(String directoryId)

The directory identifier.

Parameters:
  `directoryId` - The directory identifier.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAlias

    public void setAlias(String alias)

The directory alias.

Parameters:
  `alias` - The directory alias.

#### getAlias

    public String getAlias()

The directory alias.

Returns:
  The directory alias.

#### withAlias

    public WorkspaceDirectory withAlias(String alias)

The directory alias.

Parameters:
  `alias` - The directory alias.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDirectoryName

    public void setDirectoryName(String directoryName)

The name of the directory.

Parameters:
  `directoryName` - The name of the directory.

#### getDirectoryName

    public String getDirectoryName()

The name of the directory.

Returns:
  The name of the directory.

#### withDirectoryName

    public WorkspaceDirectory withDirectoryName(String directoryName)

The name of the directory.

Parameters:
  `directoryName` - The name of the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRegistrationCode

    public void setRegistrationCode(String registrationCode)

The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.

Parameters:
  `registrationCode` - The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.

#### getRegistrationCode

    public String getRegistrationCode()

The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.

Returns:
  The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.

#### withRegistrationCode

    public WorkspaceDirectory withRegistrationCode(String registrationCode)

The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.

Parameters:
  `registrationCode` - The registration code for the directory. This is the code that users enter in their Amazon WorkSpaces client application to connect to the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getSubnetIds

    public List<String> getSubnetIds()

An array of strings that contains the identifiers of the subnets used with the directory.

Returns:
  An array of strings that contains the identifiers of the subnets used with the directory.

#### setSubnetIds

    public void setSubnetIds(Collection<String> subnetIds)

An array of strings that contains the identifiers of the subnets used with the directory.

Parameters:
  `subnetIds` - An array of strings that contains the identifiers of the subnets used with the directory.

#### withSubnetIds

    public WorkspaceDirectory withSubnetIds(String... subnetIds)

An array of strings that contains the identifiers of the subnets used with the directory.

NOTE: This method appends the values to the existing list (if any). Use `setSubnetIds(java.util.Collection)` or `withSubnetIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `subnetIds` - An array of strings that contains the identifiers of the subnets used with the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withSubnetIds

    public WorkspaceDirectory withSubnetIds(Collection<String> subnetIds)

An array of strings that contains the identifiers of the subnets used with the directory.

Parameters:
  `subnetIds` - An array of strings that contains the identifiers of the subnets used with the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getDnsIpAddresses

    public List<String> getDnsIpAddresses()

An array of strings that contains the IP addresses of the DNS servers for the directory.

Returns:
  An array of strings that contains the IP addresses of the DNS servers for the directory.

#### setDnsIpAddresses

    public void setDnsIpAddresses(Collection<String> dnsIpAddresses)

An array of strings that contains the IP addresses of the DNS servers for the directory.

Parameters:
  `dnsIpAddresses` - An array of strings that contains the IP addresses of the DNS servers for the directory.

#### withDnsIpAddresses

    public WorkspaceDirectory withDnsIpAddresses(String... dnsIpAddresses)

An array of strings that contains the IP addresses of the DNS servers for the directory.

NOTE: This method appends the values to the existing list (if any). Use `setDnsIpAddresses(java.util.Collection)` or `withDnsIpAddresses(java.util.Collection)` if you want to override the existing values.

Parameters:
  `dnsIpAddresses` - An array of strings that contains the IP addresses of the DNS servers for the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDnsIpAddresses

    public WorkspaceDirectory withDnsIpAddresses(Collection<String> dnsIpAddresses)

An array of strings that contains the IP addresses of the DNS servers for the directory.

Parameters:
  `dnsIpAddresses` - An array of strings that contains the IP addresses of the DNS servers for the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCustomerUserName

    public void setCustomerUserName(String customerUserName)

The user name for the service account.

Parameters:
  `customerUserName` - The user name for the service account.

#### getCustomerUserName

    public String getCustomerUserName()

The user name for the service account.

Returns:
  The user name for the service account.

#### withCustomerUserName

    public WorkspaceDirectory withCustomerUserName(String customerUserName)

The user name for the service account.

Parameters:
  `customerUserName` - The user name for the service account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIamRoleId

    public void setIamRoleId(String iamRoleId)

The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.

Parameters:
  `iamRoleId` - The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.

#### getIamRoleId

    public String getIamRoleId()

The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.

Returns:
  The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.

#### withIamRoleId

    public WorkspaceDirectory withIamRoleId(String iamRoleId)

The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.

Parameters:
  `iamRoleId` - The identifier of the IAM role. This is the role that allows Amazon WorkSpaces to make calls to other services, such as Amazon EC2, on your behalf.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDirectoryType

    public void setDirectoryType(String directoryType)

The directory type.

Parameters:
  `directoryType` - The directory type.
See Also:
  `WorkspaceDirectoryType`

#### getDirectoryType

    public String getDirectoryType()

The directory type.

Returns:
  The directory type.
See Also:
  `WorkspaceDirectoryType`

#### withDirectoryType

    public WorkspaceDirectory withDirectoryType(String directoryType)

The directory type.

Parameters:
  `directoryType` - The directory type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkspaceDirectoryType`

#### setDirectoryType

    public void setDirectoryType(WorkspaceDirectoryType directoryType)

The directory type.

Parameters:
  `directoryType` - The directory type.
See Also:
  `WorkspaceDirectoryType`

#### withDirectoryType

    public WorkspaceDirectory withDirectoryType(WorkspaceDirectoryType directoryType)

The directory type.

Parameters:
  `directoryType` - The directory type.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkspaceDirectoryType`

#### setWorkspaceSecurityGroupId

    public void setWorkspaceSecurityGroupId(String workspaceSecurityGroupId)

The identifier of the security group that is assigned to new WorkSpaces.

Parameters:
  `workspaceSecurityGroupId` - The identifier of the security group that is assigned to new WorkSpaces.

#### getWorkspaceSecurityGroupId

    public String getWorkspaceSecurityGroupId()

The identifier of the security group that is assigned to new WorkSpaces.

Returns:
  The identifier of the security group that is assigned to new WorkSpaces.

#### withWorkspaceSecurityGroupId

    public WorkspaceDirectory withWorkspaceSecurityGroupId(String workspaceSecurityGroupId)

The identifier of the security group that is assigned to new WorkSpaces.

Parameters:
  `workspaceSecurityGroupId` - The identifier of the security group that is assigned to new WorkSpaces.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setState

    public void setState(String state)

The state of the directory's registration with Amazon WorkSpaces

Parameters:
  `state` - The state of the directory's registration with Amazon WorkSpaces
See Also:
  `WorkspaceDirectoryState`

#### getState

    public String getState()

The state of the directory's registration with Amazon WorkSpaces

Returns:
  The state of the directory's registration with Amazon WorkSpaces
See Also:
  `WorkspaceDirectoryState`

#### withState

    public WorkspaceDirectory withState(String state)

The state of the directory's registration with Amazon WorkSpaces

Parameters:
  `state` - The state of the directory's registration with Amazon WorkSpaces
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkspaceDirectoryState`

#### setState

    public void setState(WorkspaceDirectoryState state)

The state of the directory's registration with Amazon WorkSpaces

Parameters:
  `state` - The state of the directory's registration with Amazon WorkSpaces
See Also:
  `WorkspaceDirectoryState`

#### withState

    public WorkspaceDirectory withState(WorkspaceDirectoryState state)

The state of the directory's registration with Amazon WorkSpaces

Parameters:
  `state` - The state of the directory's registration with Amazon WorkSpaces
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkspaceDirectoryState`

#### setWorkspaceCreationProperties

    public void setWorkspaceCreationProperties(DefaultWorkspaceCreationProperties workspaceCreationProperties)

A structure that specifies the default creation properties for all WorkSpaces in the directory.

Parameters:
  `workspaceCreationProperties` - A structure that specifies the default creation properties for all WorkSpaces in the directory.

#### getWorkspaceCreationProperties

    public DefaultWorkspaceCreationProperties getWorkspaceCreationProperties()

A structure that specifies the default creation properties for all WorkSpaces in the directory.

Returns:
  A structure that specifies the default creation properties for all WorkSpaces in the directory.

#### withWorkspaceCreationProperties

    public WorkspaceDirectory withWorkspaceCreationProperties(DefaultWorkspaceCreationProperties workspaceCreationProperties)

A structure that specifies the default creation properties for all WorkSpaces in the directory.

Parameters:
  `workspaceCreationProperties` - A structure that specifies the default creation properties for all WorkSpaces in the directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkspaceDirectory clone()

Overrides:
  `clone` in class `Object`